For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The User object
          • GET/users
          • GET/users/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsUsers

/users/{id}

GET
/users/:id
GET
/api/chat/v1/users/:id
$curl -G https://api.merge.dev/api/chat/v1/users/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=groups
200Retrieved
1{
2 "id": "a1234567-89ab-cdef-0123-456789abcdef",
3 "remote_id": "77431241242",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "username": "alice",
7 "display_name": "Alice Smith",
8 "first_name": "Alice",
9 "last_name": "Smith",
10 "is_bot": true,
11 "groups": [
12 "string"
13 ],
14 "avatar": "https://merge.dev/user_profile_pic.png",
15 "remote_created_at": "2021-09-15T00:00:00Z",
16 "remote_updated_at": "2021-09-16T00:00:00Z",
17 "remote_was_deleted": true,
18 "field_mappings": {
19 "organization_defined_targets": {
20 "custom_key": "custom_value"
21 },
22 "linked_account_defined_targets": {
23 "custom_key": "custom_value"
24 }
25 },
26 "remote_data": [
27 {
28 "path": "/users",
29 "data": null
30 }
31 ]
32}

Returns a User object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/users

Next

The Group object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
usernamestring or null<=254 characters
Username or handle
display_namestring or null<=254 characters
Full name or display name
first_namestring or null<=254 characters
The user's first name
last_namestring or null<=254 characters
The user's last name
is_botboolean or null
Returns true if the user is a bot
groupslist of strings
avatarstring or nullformat: "uri"<=2000 characters
The user's avatar image
remote_created_atdatetime or null
When the third party's user was created.
remote_updated_atdatetime or null
When the third party's user was updated.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only